#!/usr/bin/python3
from PyQt5 import QtWidgets, QtDBus
import sys


def main():
    # Look for the dbus object
    bus = QtDBus.QDBusConnection.sessionBus()
    interface = QtDBus.QDBusInterface("org.obsuite.session", "/org/obsuite/session", "org.obsuite.session", bus)

    # Pass the arguments to the existing bus
    cmd = "%".join(str(arg) for arg in sys.argv[1:])

    if cmd.lower().count("--help"):
        print("--preferences: Toggle preferences dialog")
        print("--reload: Destroy and restart actives widgets")
        print("--wait-for-systray: Block init until a system tray is available")
        print("--run: Execute launcher widget")
        print("--splash: Execute splash screen")
        print("--quit: Close all widgets")

    elif interface.isValid():
        interface.call("parse", cmd)
        sys.exit(0)

    else:
        # Create a new instance
        try:
            import obsuite.main as obsuite
        except ImportError:
            import main as obsuite
        obsuite.main(cmd)

if __name__ == '__main__':
    main()
